//+------------------------------------------------------------------+
//|                                                     AddPivot.mq4 |
//|                              Copyright  2007, Troshenkin Andrey |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Troshenkin Andrey"
#property link      "troshenkin@bk.ru"

//+------------------------------------------------------------------+
//|                                                          |
//+------------------------------------------------------------------+
//       . 
//    .
//+------------------------------------------------------------------+


#include <TFColor.mqh>

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
{
   string name;
   double pr;
   int nWindowSize[2];
   int nLastObjNum = GetLastObjectNumber();
   
   if (nLastObjNum == -1)
      nLastObjNum = 1;
   else
      nLastObjNum = nLastObjNum + 1;
      
   name = PIVOT_NAME() + " " + nLastObjNum;
   
   if (!GetStartEndBars(nWindowSize))
      return (-1);
      
   pr = WindowPriceMin() + (WindowPriceMax() - WindowPriceMin())/10;
   
   if (ObjectCreate(name, OBJ_ARROW, 0, Time[nWindowSize[1] - (WindowBarsPerChart()/2)], pr))
      ObjectSet(name, OBJPROP_ARROWCODE, SYMBOL_RIGHTPRICE);
   
   WindowRedraw();
   
   return(0);
}
//+------------------------------------------------------------------+