//+------------------------------------------------------------------+
//|                                                 AddTFtoNames.mq4 |
//|                             Copyright  2007, Troshenkin Andrey. |
//|                                                 troshenkin@bk.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Troshenkin Andrey."
#property link      "troshenkin@bk.ru"

//+------------------------------------------------------------------+
//|                                                          |
//+------------------------------------------------------------------+
//        . 
//       (    
//     ).
//        .
//+------------------------------------------------------------------+


#include <TFColor.mqh>

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
{
   int nObjTotal = ObjectsTotal();
   int i, n, nSpaceIndex;
   string sName, sTypeName, sValue, sTFName;
   string arLetters[];
   int nSize = LETTERS(arLetters);
   bool bAllTextWithTF = true;
      
   if (nSize == 0)
      return (0);
   
   //      
   for(i=0; i < nObjTotal; i++)
   {
      sName = ObjectName(i);
      if (sName == "")
         continue;

      if (ObjectType(sName) != OBJ_TEXT)
         continue;
         
      nSpaceIndex = StringFind(sName, " ", 1);
      if (nSpaceIndex < 4)
         continue;
         
      if (StringSubstr(sName, 0, nSpaceIndex) == "Text")
      {
         sValue = ObjectDescription(sName);
         for(n=0; n < nSize; n++)
         {
            if (sValue == arLetters[n])
            {
               bAllTextWithTF = false;
               break;
            }
         }
      }
      
      if (!bAllTextWithTF)
         break;
   }
      
   for(i=0; i < nObjTotal; i++)
   {
      sName = ObjectName(i);
      if (sName == "")
         continue;

      if (ObjectType(sName) != OBJ_TEXT)
         continue;
         
      nSpaceIndex = StringFind(sName, " ", 1);
      if (nSpaceIndex < 4)
         continue;
         
      if (StringSubstr(sName, 0, nSpaceIndex) == "Text")
      {
         sValue = ObjectDescription(sName);
         if (bAllTextWithTF)
         {
            //c   
            nSpaceIndex = StringFind(sValue, " ", 1);
            if (nSpaceIndex > 0)
            {
               sValue = StringSubstr(sValue, 0, nSpaceIndex);
               for(n=0; n < nSize; n++)
               {
                  if (sValue == arLetters[n])
                  {
                     ObjectSetText(sName, sValue);
                     break;
                  }
               }
            }
         }
         else
         {
            //   
            for(n=0; n < nSize; n++)
            {
               if ( (StringLen(sValue) == StringLen(arLetters[n])) && (sValue == arLetters[n]) )
               {
                  ObjectSetText(sName, sValue + " " + GetTFNameByColor(ObjectGet(sName, OBJPROP_COLOR)));
                  break;
               }
            }
         }
      }
   }
      
   return(0);
}
//+------------------------------------------------------------------+