//+------------------------------------------------------------------+
//|                                               CreateTFColors.mq4 |
//|                             Copyright  2007, Troshenkin Andrey. |
//|                                                 troshenkin@bk.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Troshenkin Andrey."
#property link      "troshenkin@bk.ru"

//+------------------------------------------------------------------+
//|                                                          |
//+------------------------------------------------------------------+
//        ,  ,
//           -.
//
//   #include <TFColorConfig.mqh>
// int FONT_SIZE1 = 10; // 
// int COLORS_LEFT_POS = 10; // 
// int COLORS_TOP_POS = 60; // 
//
// color ColorM1  = DarkBlue;
// color ColorM2  = Magenta;
// color ColorM5  = DarkOrange;
// color ColorM10 = Crimson;
// color ColorM15 = Red;
// color ColorM30 = SaddleBrown;
// color ColorH1  = Blue;
// color ColorH2  = DarkViolet;
// color ColorH4  = DodgerBlue;
// color ColorH8  = ForestGreen;
// color ColorD1  = Black;
// color ColorW1  = DarkSeaGreen;
// color ColorMN1 = RosyBrown;
//
//+------------------------------------------------------------------+


#include <TFColor.mqh>

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
{
   int i, y, nStep;
   string sTF;
   color clTF;
   int nSize = ArraySize(ALL_TF);

   if (ObjectFind(COLORS_NAME() + GetTFName(ALL_TF[0])) == 0)   
   {
      for(i=(nSize-1);i >=0; i--)
      {
         sTF = GetTFName(ALL_TF[i]);
         ObjectDelete(COLORS_NAME() + sTF);
      }      
   }
   else
   {
      nStep = FONT_SIZE1()*1.4;
      y = COLORS_TOP_POS();
      for(i=(nSize-1);i >=0; i--)
      {
         clTF = GetColorByTF(ALL_TF[i]);
         sTF = GetTFName(ALL_TF[i]);
         CreateText( COLORS_NAME() + sTF, COLORS_LEFT_POS(), y, sTF, clTF);
         y = y + nStep;
      }      
   }
   
      
   WindowRedraw();
}

//+------------------------------------------------------------------+

void CreateText( string sName, int x, int y, string sLetter, color clColor )
{
   ObjectDelete(sName);

   if ( ObjectCreate	( sName, OBJ_LABEL, 0, 0, 0 ) )
   {
      ObjectSetText	( sName, sLetter, FONT_SIZE1(), LETTERS_FONTFACE(), clColor );
      ObjectSet(sName, OBJPROP_CORNER, 0);
      ObjectSet(sName, OBJPROP_XDISTANCE, x);
      ObjectSet(sName, OBJPROP_YDISTANCE, y);
      ObjectSet(sName, OBJPROP_BACK, true);
   }
   
   GetLastError();
}
//+------------------------------------------------------------------+

