//+------------------------------------------------------------------+
//|                                                  SetFontSize.mq4 |
//|                             Copyright  2007, Troshenkin Andrey. |
//|                                                 troshenkin@bk.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Troshenkin Andrey."
#property link      "troshenkin@bk.ru"

//+------------------------------------------------------------------+
//|                                                          |
//+------------------------------------------------------------------+
//       FONT_SIZE1  FONT_SIZE2. 
//
//   #include <TFColorConfig.mqh>
// int FONT_SIZE1 = 10;
// int FONT_SIZE2 = 18;
//
//+------------------------------------------------------------------+


#include <TFColor.mqh>

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
{
   string name = GetLastObjectName();
   int nSize;
   int nSize1 = FONT_SIZE1();
   int nSize2 = FONT_SIZE2();
   
   if (name == "")
      return (0);
      
   if (ObjectType(name) == OBJ_TEXT)
   {
      nSize = ObjectGet(name, OBJPROP_FONTSIZE);
      if (ObjectGet(name, OBJPROP_FONTSIZE) != nSize1)
         ObjectSet(name, OBJPROP_FONTSIZE, nSize1);
      else
         ObjectSet(name, OBJPROP_FONTSIZE, nSize2);
   }
   
   return(0);
}
//+------------------------------------------------------------------+