//+------------------------------------------------------------------+
//|                                                 AddRectangle.mq4 |
//|                             Copyright  2007, Troshenkin Andrey. |
//|                                                 troshenkin@bk.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Troshenkin Andrey."
#property link      "troshenkin@bk.ru"

//+------------------------------------------------------------------+
//|                                                          |
//+------------------------------------------------------------------+
//       . 
//      - 
//  .
//
//   #include <TFColorConfig.mqh>
// int RECT_WIDTH = 4; //   
//
//+------------------------------------------------------------------+


#include <TFColor.mqh>

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
{
   string name = RECTANGLE_NAME() + ObjectsTotal(OBJ_RECTANGLE);
   datetime dTime, dtTimeDif;
   double pr, dRectDif;
   int nWindowSize[2];

   if (!GetStartEndBars(nWindowSize))
      return (-1);
      
   dtTimeDif = RECT_WIDTH()*Period()*60;
   dTime = Time[nWindowSize[1] - (WindowBarsPerChart()/2)];
   pr = WindowPriceMin() + (WindowPriceMax() - WindowPriceMin())/10;
   dRectDif = (WindowPriceMax() - WindowPriceMin())/(40*2);

   if (ObjectCreate(name, OBJ_RECTANGLE, 0, dTime - dtTimeDif, pr - dRectDif, dTime + dtTimeDif, pr + dRectDif))
   {
      ObjectSet(name, OBJPROP_COLOR, Red);
      ObjectSet(name, OBJPROP_BACK, false);
      ObjectSet(name, OBJPROP_WIDTH, 2);
   }
      
   WindowRedraw();
   
   return(0);
}
//+------------------------------------------------------------------+