//+------------------------------------------------------------------+
//|                                                   SetTFColor.mq4 |
//|                             Copyright  2007, Troshenkin Andrey. |
//|                                                 troshenkin@bk.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, Troshenkin Andrey."
#property link      "troshenkin@bk.ru"

//+------------------------------------------------------------------+
//|                                                          |
//+------------------------------------------------------------------+
//          . 
//       .
//   #include <TFColorConfig.mqh>
// bool ON_SECOND_CLICK_SET_NEXT_TF = true; // true        
//
//+------------------------------------------------------------------+


#include <TFColor.mqh>

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
{
   if (ON_SECOND_CLICK_SET_NEXT_TF())
   {
      string sName = GetLastObjectName();
      if (ObjectGet(sName, OBJPROP_COLOR) == GetColorByTF(Period()))
      {
         int nNextPeriod = Period()*2;
         if (Period() == PERIOD_D1)
            nNextPeriod = PERIOD_W1;
            
         SetObjectColor(GetColorByTF(nNextPeriod));
      }
      else
         SetObjectColor(GetColorByTF(Period()));
   }
   else
      SetObjectColor(GetColorByTF(Period()));
   
   return(0);
}
//+------------------------------------------------------------------+